This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 880147

Summary: CVE-2012-4530 kernel: stack disclosure in binfmt_script load_script() [fedora-all]
Product: [Fedora] Fedora Reporter: Prasad J Pandit <prasad>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 17CC: davej, gansalmon, itamar, jforbes, jonathan, jwboyer, kernel-maint, madhu.chinakonda
Target Milestone: ---Keywords: Reopened, Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-19 08:23:08 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 868285    

Description Prasad J Pandit 2012-11-26 06:08:29 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]
Comment 1 Prasad J Pandit 2012-11-26 06:08:40 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=868285,880147
Comment 2 Josh Boyer 2012-11-26 09:03:10 EST
Patches needed on all branches.
Comment 3 Josh Boyer 2012-11-26 09:25:59 EST
Patches applied to F16-rawhide.
Comment 4 Fedora Update System 2012-11-28 07:58:13 EST
kernel-3.6.8-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.6.8-2.fc16
Comment 5 Fedora Update System 2012-11-28 08:28:55 EST
kernel-3.6.8-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.6.8-2.fc17
Comment 6 Fedora Update System 2012-11-28 22:57:35 EST
Package kernel-3.6.8-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.6.8-2.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19337/kernel-3.6.8-2.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-01 03:26:52 EST
kernel-3.6.8-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-12-04 16:13:07 EST
kernel-3.6.9-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.6.9-4.fc18
Comment 9 Fedora Update System 2012-12-04 16:18:09 EST
kernel-3.6.9-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.6.9-2.fc16
Comment 10 Fedora Update System 2012-12-06 23:25:10 EST
kernel-3.6.9-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-12-11 15:18:03 EST
kernel-3.6.10-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.6.10-2.fc16
Comment 12 Fedora Update System 2012-12-17 21:34:04 EST
kernel-3.6.10-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Prasad J Pandit 2012-12-19 01:29:30 EST
In a surprising development, the patch returning -ELOOP to end the inadvertent recursions was removed from the -mm tree.

 -> http://www.spinics.net/lists/mm-commits/msg93063.html

Which means the issue still persists.
Comment 14 Josh Boyer 2012-12-19 08:23:08 EST
(In reply to comment #13)
> In a surprising development, the patch returning -ELOOP to end the
> inadvertent recursions was removed from the -mm tree.
> 
>  -> http://www.spinics.net/lists/mm-commits/msg93063.html
> 
> Which means the issue still persists.

No it doesn't.  We've patched it in Fedora.  We don't use -mm directly, so the issue is still fixed.

Also, it says it was removed because it was merged.  That means Andrew sent it to Linus and it's in Linus' tree now.  It's there as:

commit d740269867021faf4ce38a449353d2b986c34a67
Author: Kees Cook <keescook@chromium.org>
Date:   Mon Dec 17 16:03:20 2012 -0800

    exec: use -ELOOP for max recursion depth